# Function getPropertyDescriptor

- getPropertyDescriptor<T>(obj, property): PropertyDescriptor | undefined

- Similar to Object.getOwnPropertyDescriptor, without the "own" part.

  #### Type Parameters

  - T = unknown

  #### Parameters

  - obj: T

    The object in which to look for the property.

  - property: string | number | symbol

    The name of the property whose description is to be retrieved.

  #### Returns PropertyDescriptor | undefined